### File

`packages/components/eui-breadcrumb/item/breadcrumb-item.model.ts`

### Index

###### Properties
id label Optional navigationExtras
###### Accessors
link

### Properties

id
Type : `string`
A unique ID for each crumb linked to a page

label
Type : `string`
The label of the crumb

Optional navigationExtras
Type : `NavigationExtras`
Extras for Angular Router

### Accessors

link
get `link()`
A URL link. Commands to pass to Router#createUrlTree. array: commands to pass to Router#createUrlTree. string: shorthand for array of commands with just the string, i.e. `['/route']` null|undefined: Disables the link by removing the `href` Returns : `string | []`
set `link(link: string | any[])`
Parameters :
Name | Type | Optional
link | `string | any[]` | No
Returns : `void`

# results matching ""

# No results matching ""